<html>
<head>
<title>Ogre::D3D9Device Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9Device Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9Device" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>High level interface of Direct3D9 Device.  
 <a href="classOgre_1_1D3D9Device.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::D3D9Device:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1D3D9Device__inherit__graph.gif" border="0" usemap="#Ogre_1_1D3D9Device_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1D3D9Device_inherit__map" id="Ogre_1_1D3D9Device_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="19,5,125,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1D3D9Device-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a7ae639c9104a6d61bdbc338783dfe792">attachRenderWindow</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ad5c3c4ed8f68bb6066536afe65f59b37">detachRenderWindow</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a362204ef98d807a7a8410adbd0b5afe8">acquire</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a50d59e74869778d21bf16610604aeb0d">release</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ae88dff1966c8322af5ec3f7524a6f78b">destroy</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aee02d5f051e9c5fd03c07991267594b0">isDeviceLost</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DDevice9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a2c209e9f98b747bcd10b451b54ff550f">getD3D9Device</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a2a1e56d83e3293b1a0a01c675a4b0e13">getAdapterNumber</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DDEVTYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a77390bc3a95350867bbf6ef27459158e">getDeviceType</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a9b17dbd6e3713aead2eddbaa9ab5c452">isMultihead</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a2e6e9a03fdd07aec49750d9c672ed278">isAutoDepthStencil</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a1283f652c9904bcf45592c3b3986f897">isFullScreen</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const D3DCAPS9 &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aabc8708ad748b6e25c98db231db39047">getD3D9DeviceCaps</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DFORMAT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a3c2d8e57f33764a3ea4d9dc55621e4eb">getBackBufferFormat</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ab3a2c04eea559775392ba8ca816d696a">validate</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a149159ae35779a294f9ec582257c46fc">invalidate</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aa6c619c384532420633261115742d463">present</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a8e195a845ed22e0215d42abbc75d744e">getDepthBuffer</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#acf4b8ded85d5f1aa9bcc9221a8bd4610">getBackBuffer</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ad8aa9f54e191e1e7f3954ab57f649ad0">getRenderWindowCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a22661d7474b0df8498da8b4d07c7dfaa">getRenderWindow</a> (<a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a638f8f64f8b69d399fbd0b229ba17257">getLastPresentFrame</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a3461e2ac423c9edb65aaf9f3555dc014">setAdapterOrdinalIndex</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> adapterOrdinalInGroupIndex)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aecc6cd01b5ff202f314a3a21324aa473">copyContentsToMemory</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *window, const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst, <a class="el" href="classOgre_1_1RenderTarget.html#a4b42772d32712767391c749f4745397a">RenderTarget::FrameBuffer</a> buffer)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a535088d3d9f1919aa2712f3d66191c72">clearDeviceStreams</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a1bb39088c2b154bbd1493e01ec9be613">D3D9Device</a> (<a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a> *deviceManager, UINT adapterNumber, HMONITOR hMonitor, D3DDEVTYPE devType, DWORD behaviorFlags)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a924a7bab99b796cccffec3b2b76d0968">~D3D9Device</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> <br class="typebreak"/>
*, <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">RenderWindowToResourcesMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
RenderWindowToResourcesMap::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a3d4f0120ffdb1a1469c4d898bc5e56c3">getRenderWindowIterator</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#af0bfa56f845867ae108abc6d73edd1f2">acquire</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#affd285b8863db02e9f3fda6a3ebae601">reset</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a53eb2ef4e15bae2a1e6ed97958e2c551">updatePresentationParameters</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#adf6e2f44821ccdaee2907a9fd0272cb4">updateRenderWindowsIndices</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aa4d630a25dfbd163de0d2511ff7346a4">createD3D9Device</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#afb2cdc531496fc728fddae9902b0ab0f">releaseD3D9Device</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ae3e1b583e001d10a1fa4235f09c651e3">releaseRenderWindowResources</a> (<a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a> *renderWindowResources)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#abb04f050b15829dac518dc412170d630">acquireRenderWindowResources</a> (<a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a> it)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a62a6072caf9bc80b0461cebb5eb1c854">setupDeviceStates</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#afb1f07531f8c3570a9fbc47fdd7eed6b">notifyDeviceLost</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a8dfd3c8936afe5d66b9aff40dd10f2e2">validateFocusWindow</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a5121ccbdcece40766bc19d0c4d4307a6">validateBackBufferSize</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ab11503b856742c3c73294306256640ed">validateDisplayMonitor</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ae4743aa18953548f2a52a9530de5d2f2">validateDeviceState</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aa25fcb165800e44e7abbe0867e519668">isSwapChainWindow</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a37df58795e3ae5eded3797244d5497de">getPrimaryWindow</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a590785b22aac2e6a1540cc44fe878662">setSharedWindowHandle</a> (HWND hSharedHWND)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a9ec1fca41b0e76142d235797847c1340">mDeviceManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DDevice9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a74f4debbfef8744e1f2de5e61abfdeed">mDevice</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#af5eddd4747e882b9e7cace1f1e55f00b">mAdapterNumber</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HMONITOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a0f1ea453da36b9686c0470c44537a3bf">mMonitor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DDEVTYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a9b68164f21305d08aff888810faccba0">mDeviceType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HWND&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a8bac526f9dfe3204dea2b39208407291">mFocusWindow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a16a4bb652c5db85576d22274ea769eaa">mBehaviorFlags</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DPRESENT_PARAMETERS *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aabb340280b2899b9e11c6a9994457ac4">mPresentationParams</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a4f10a344f1475c3014f1711d84627c71">mPresentationParamsCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DCAPS9&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a7b995adfca2cbfc38d8240002c3f49c1">mD3D9DeviceCaps</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a2eec6af8cd486f36e9ddaee2fe5121de">mD3D9DeviceCapsValid</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3DDEVICE_CREATION_PARAMETERS&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#af87f3905ce1704b83d64a3cab3dec4cb">mCreationParams</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a3e874ea5a466a35d9f8a8633e26f0193">mLastPresentFrame</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#ab5e3316e0e6a7bf5b550577d34cd744f">mDeviceLost</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">RenderWindowToResourcesMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a619b3f0797e321008988124e24b86ec6">mMapRenderWindowToResources</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static HWND&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a8a6e83cff23b7d7750291bbdbf3575fb">msSharedFocusWindow</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#aec82c6ec0be39f7ecb3e0d165125a540">D3D9DeviceManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Device.html#a2aa03fdbd75af77c8c201ba964251536">D3D9RenderSystem</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>High level interface of Direct3D9 Device. </p>
<p>Provide useful methods for device handling. </p>

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00042">42</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a58c3ba4b392620e6fc74f9d47e9bd601"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowToResourcesIterator" ref="a58c3ba4b392620e6fc74f9d47e9bd601" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef RenderWindowToResourcesMap::iterator <a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">Ogre::D3D9Device::RenderWindowToResourcesIterator</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00120">120</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a07bbc9f085f17ece1b51ea4dde7bd701"></a><!-- doxytag: member="Ogre::D3D9Device::RenderWindowToResourcesMap" ref="a07bbc9f085f17ece1b51ea4dde7bd701" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>*, <a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a>*&gt;::type <a class="el" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">Ogre::D3D9Device::RenderWindowToResourcesMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00119">119</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1bb39088c2b154bbd1493e01ec9be613"></a><!-- doxytag: member="Ogre::D3D9Device::D3D9Device" ref="a1bb39088c2b154bbd1493e01ec9be613" args="(D3D9DeviceManager *deviceManager, UINT adapterNumber, HMONITOR hMonitor, D3DDEVTYPE devType, DWORD behaviorFlags)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html#a1bb39088c2b154bbd1493e01ec9be613">Ogre::D3D9Device::D3D9Device</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a> *&#160;</td>
          <td class="paramname"><em>deviceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UINT&#160;</td>
          <td class="paramname"><em>adapterNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">HMONITOR&#160;</td>
          <td class="paramname"><em>hMonitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">D3DDEVTYPE&#160;</td>
          <td class="paramname"><em>devType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DWORD&#160;</td>
          <td class="paramname"><em>behaviorFlags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a924a7bab99b796cccffec3b2b76d0968"></a><!-- doxytag: member="Ogre::D3D9Device::~D3D9Device" ref="a924a7bab99b796cccffec3b2b76d0968" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html#a924a7bab99b796cccffec3b2b76d0968">Ogre::D3D9Device::~D3D9Device</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a362204ef98d807a7a8410adbd0b5afe8"></a><!-- doxytag: member="Ogre::D3D9Device::acquire" ref="a362204ef98d807a7a8410adbd0b5afe8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#a362204ef98d807a7a8410adbd0b5afe8">Ogre::D3D9Device::acquire</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af0bfa56f845867ae108abc6d73edd1f2"></a><!-- doxytag: member="Ogre::D3D9Device::acquire" ref="af0bfa56f845867ae108abc6d73edd1f2" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#a362204ef98d807a7a8410adbd0b5afe8">Ogre::D3D9Device::acquire</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abb04f050b15829dac518dc412170d630"></a><!-- doxytag: member="Ogre::D3D9Device::acquireRenderWindowResources" ref="abb04f050b15829dac518dc412170d630" args="(RenderWindowToResourcesIterator it)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#abb04f050b15829dac518dc412170d630">Ogre::D3D9Device::acquireRenderWindowResources</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a>&#160;</td>
          <td class="paramname"><em>it</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7ae639c9104a6d61bdbc338783dfe792"></a><!-- doxytag: member="Ogre::D3D9Device::attachRenderWindow" ref="a7ae639c9104a6d61bdbc338783dfe792" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a7ae639c9104a6d61bdbc338783dfe792">Ogre::D3D9Device::attachRenderWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a535088d3d9f1919aa2712f3d66191c72"></a><!-- doxytag: member="Ogre::D3D9Device::clearDeviceStreams" ref="a535088d3d9f1919aa2712f3d66191c72" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a535088d3d9f1919aa2712f3d66191c72">Ogre::D3D9Device::clearDeviceStreams</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aecc6cd01b5ff202f314a3a21324aa473"></a><!-- doxytag: member="Ogre::D3D9Device::copyContentsToMemory" ref="aecc6cd01b5ff202f314a3a21324aa473" args="(D3D9RenderWindow *window, const PixelBox &amp;dst, RenderTarget::FrameBuffer buffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#aecc6cd01b5ff202f314a3a21324aa473">Ogre::D3D9Device::copyContentsToMemory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html#a4b42772d32712767391c749f4745397a">RenderTarget::FrameBuffer</a>&#160;</td>
          <td class="paramname"><em>buffer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa4d630a25dfbd163de0d2511ff7346a4"></a><!-- doxytag: member="Ogre::D3D9Device::createD3D9Device" ref="aa4d630a25dfbd163de0d2511ff7346a4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#aa4d630a25dfbd163de0d2511ff7346a4">Ogre::D3D9Device::createD3D9Device</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae88dff1966c8322af5ec3f7524a6f78b"></a><!-- doxytag: member="Ogre::D3D9Device::destroy" ref="ae88dff1966c8322af5ec3f7524a6f78b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#ae88dff1966c8322af5ec3f7524a6f78b">Ogre::D3D9Device::destroy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad5c3c4ed8f68bb6066536afe65f59b37"></a><!-- doxytag: member="Ogre::D3D9Device::detachRenderWindow" ref="ad5c3c4ed8f68bb6066536afe65f59b37" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#ad5c3c4ed8f68bb6066536afe65f59b37">Ogre::D3D9Device::detachRenderWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2a1e56d83e3293b1a0a01c675a4b0e13"></a><!-- doxytag: member="Ogre::D3D9Device::getAdapterNumber" ref="a2a1e56d83e3293b1a0a01c675a4b0e13" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UINT <a class="el" href="classOgre_1_1D3D9Device.html#a2a1e56d83e3293b1a0a01c675a4b0e13">Ogre::D3D9Device::getAdapterNumber</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acf4b8ded85d5f1aa9bcc9221a8bd4610"></a><!-- doxytag: member="Ogre::D3D9Device::getBackBuffer" ref="acf4b8ded85d5f1aa9bcc9221a8bd4610" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="classOgre_1_1D3D9Device.html#acf4b8ded85d5f1aa9bcc9221a8bd4610">Ogre::D3D9Device::getBackBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3c2d8e57f33764a3ea4d9dc55621e4eb"></a><!-- doxytag: member="Ogre::D3D9Device::getBackBufferFormat" ref="a3c2d8e57f33764a3ea4d9dc55621e4eb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DFORMAT <a class="el" href="classOgre_1_1D3D9Device.html#a3c2d8e57f33764a3ea4d9dc55621e4eb">Ogre::D3D9Device::getBackBufferFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2c209e9f98b747bcd10b451b54ff550f"></a><!-- doxytag: member="Ogre::D3D9Device::getD3D9Device" ref="a2c209e9f98b747bcd10b451b54ff550f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DDevice9* <a class="el" href="classOgre_1_1D3D9Device.html#a2c209e9f98b747bcd10b451b54ff550f">Ogre::D3D9Device::getD3D9Device</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aabc8708ad748b6e25c98db231db39047"></a><!-- doxytag: member="Ogre::D3D9Device::getD3D9DeviceCaps" ref="aabc8708ad748b6e25c98db231db39047" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const D3DCAPS9&amp; <a class="el" href="classOgre_1_1D3D9Device.html#aabc8708ad748b6e25c98db231db39047">Ogre::D3D9Device::getD3D9DeviceCaps</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8e195a845ed22e0215d42abbc75d744e"></a><!-- doxytag: member="Ogre::D3D9Device::getDepthBuffer" ref="a8e195a845ed22e0215d42abbc75d744e" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="classOgre_1_1D3D9Device.html#a8e195a845ed22e0215d42abbc75d744e">Ogre::D3D9Device::getDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a77390bc3a95350867bbf6ef27459158e"></a><!-- doxytag: member="Ogre::D3D9Device::getDeviceType" ref="a77390bc3a95350867bbf6ef27459158e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DDEVTYPE <a class="el" href="classOgre_1_1D3D9Device.html#a77390bc3a95350867bbf6ef27459158e">Ogre::D3D9Device::getDeviceType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a638f8f64f8b69d399fbd0b229ba17257"></a><!-- doxytag: member="Ogre::D3D9Device::getLastPresentFrame" ref="a638f8f64f8b69d399fbd0b229ba17257" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1D3D9Device.html#a638f8f64f8b69d399fbd0b229ba17257">Ogre::D3D9Device::getLastPresentFrame</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00077">77</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a37df58795e3ae5eded3797244d5497de"></a><!-- doxytag: member="Ogre::D3D9Device::getPrimaryWindow" ref="a37df58795e3ae5eded3797244d5497de" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* <a class="el" href="classOgre_1_1D3D9Device.html#a37df58795e3ae5eded3797244d5497de">Ogre::D3D9Device::getPrimaryWindow</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a22661d7474b0df8498da8b4d07c7dfaa"></a><!-- doxytag: member="Ogre::D3D9Device::getRenderWindow" ref="a22661d7474b0df8498da8b4d07c7dfaa" args="(uint index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* <a class="el" href="classOgre_1_1D3D9Device.html#a22661d7474b0df8498da8b4d07c7dfaa">Ogre::D3D9Device::getRenderWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad8aa9f54e191e1e7f3954ab57f649ad0"></a><!-- doxytag: member="Ogre::D3D9Device::getRenderWindowCount" ref="ad8aa9f54e191e1e7f3954ab57f649ad0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1D3D9Device.html#ad8aa9f54e191e1e7f3954ab57f649ad0">Ogre::D3D9Device::getRenderWindowCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3d4f0120ffdb1a1469c4d898bc5e56c3"></a><!-- doxytag: member="Ogre::D3D9Device::getRenderWindowIterator" ref="a3d4f0120ffdb1a1469c4d898bc5e56c3" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a> <a class="el" href="classOgre_1_1D3D9Device.html#a3d4f0120ffdb1a1469c4d898bc5e56c3">Ogre::D3D9Device::getRenderWindowIterator</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a149159ae35779a294f9ec582257c46fc"></a><!-- doxytag: member="Ogre::D3D9Device::invalidate" ref="a149159ae35779a294f9ec582257c46fc" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a149159ae35779a294f9ec582257c46fc">Ogre::D3D9Device::invalidate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2e6e9a03fdd07aec49750d9c672ed278"></a><!-- doxytag: member="Ogre::D3D9Device::isAutoDepthStencil" ref="a2e6e9a03fdd07aec49750d9c672ed278" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#a2e6e9a03fdd07aec49750d9c672ed278">Ogre::D3D9Device::isAutoDepthStencil</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aee02d5f051e9c5fd03c07991267594b0"></a><!-- doxytag: member="Ogre::D3D9Device::isDeviceLost" ref="aee02d5f051e9c5fd03c07991267594b0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#aee02d5f051e9c5fd03c07991267594b0">Ogre::D3D9Device::isDeviceLost</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1283f652c9904bcf45592c3b3986f897"></a><!-- doxytag: member="Ogre::D3D9Device::isFullScreen" ref="a1283f652c9904bcf45592c3b3986f897" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#a1283f652c9904bcf45592c3b3986f897">Ogre::D3D9Device::isFullScreen</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9b17dbd6e3713aead2eddbaa9ab5c452"></a><!-- doxytag: member="Ogre::D3D9Device::isMultihead" ref="a9b17dbd6e3713aead2eddbaa9ab5c452" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#a9b17dbd6e3713aead2eddbaa9ab5c452">Ogre::D3D9Device::isMultihead</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa25fcb165800e44e7abbe0867e519668"></a><!-- doxytag: member="Ogre::D3D9Device::isSwapChainWindow" ref="aa25fcb165800e44e7abbe0867e519668" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#aa25fcb165800e44e7abbe0867e519668">Ogre::D3D9Device::isSwapChainWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afb1f07531f8c3570a9fbc47fdd7eed6b"></a><!-- doxytag: member="Ogre::D3D9Device::notifyDeviceLost" ref="afb1f07531f8c3570a9fbc47fdd7eed6b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#afb1f07531f8c3570a9fbc47fdd7eed6b">Ogre::D3D9Device::notifyDeviceLost</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::D3D9Device::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::D3D9Device::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::D3D9Device::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::D3D9Device::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::D3D9Device::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::D3D9Device::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::D3D9Device::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::D3D9Device::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::D3D9Device::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::D3D9Device::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa6c619c384532420633261115742d463"></a><!-- doxytag: member="Ogre::D3D9Device::present" ref="aa6c619c384532420633261115742d463" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#aa6c619c384532420633261115742d463">Ogre::D3D9Device::present</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a50d59e74869778d21bf16610604aeb0d"></a><!-- doxytag: member="Ogre::D3D9Device::release" ref="a50d59e74869778d21bf16610604aeb0d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a50d59e74869778d21bf16610604aeb0d">Ogre::D3D9Device::release</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afb2cdc531496fc728fddae9902b0ab0f"></a><!-- doxytag: member="Ogre::D3D9Device::releaseD3D9Device" ref="afb2cdc531496fc728fddae9902b0ab0f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#afb2cdc531496fc728fddae9902b0ab0f">Ogre::D3D9Device::releaseD3D9Device</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae3e1b583e001d10a1fa4235f09c651e3"></a><!-- doxytag: member="Ogre::D3D9Device::releaseRenderWindowResources" ref="ae3e1b583e001d10a1fa4235f09c651e3" args="(RenderWindowResources *renderWindowResources)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#ae3e1b583e001d10a1fa4235f09c651e3">Ogre::D3D9Device::releaseRenderWindowResources</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a> *&#160;</td>
          <td class="paramname"><em>renderWindowResources</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="affd285b8863db02e9f3fda6a3ebae601"></a><!-- doxytag: member="Ogre::D3D9Device::reset" ref="affd285b8863db02e9f3fda6a3ebae601" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#affd285b8863db02e9f3fda6a3ebae601">Ogre::D3D9Device::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3461e2ac423c9edb65aaf9f3555dc014"></a><!-- doxytag: member="Ogre::D3D9Device::setAdapterOrdinalIndex" ref="a3461e2ac423c9edb65aaf9f3555dc014" args="(D3D9RenderWindow *renderWindow, uint adapterOrdinalInGroupIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a3461e2ac423c9edb65aaf9f3555dc014">Ogre::D3D9Device::setAdapterOrdinalIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>adapterOrdinalInGroupIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a590785b22aac2e6a1540cc44fe878662"></a><!-- doxytag: member="Ogre::D3D9Device::setSharedWindowHandle" ref="a590785b22aac2e6a1540cc44fe878662" args="(HWND hSharedHWND)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a590785b22aac2e6a1540cc44fe878662">Ogre::D3D9Device::setSharedWindowHandle</a> </td>
          <td>(</td>
          <td class="paramtype">HWND&#160;</td>
          <td class="paramname"><em>hSharedHWND</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a62a6072caf9bc80b0461cebb5eb1c854"></a><!-- doxytag: member="Ogre::D3D9Device::setupDeviceStates" ref="a62a6072caf9bc80b0461cebb5eb1c854" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a62a6072caf9bc80b0461cebb5eb1c854">Ogre::D3D9Device::setupDeviceStates</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a53eb2ef4e15bae2a1e6ed97958e2c551"></a><!-- doxytag: member="Ogre::D3D9Device::updatePresentationParameters" ref="a53eb2ef4e15bae2a1e6ed97958e2c551" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a53eb2ef4e15bae2a1e6ed97958e2c551">Ogre::D3D9Device::updatePresentationParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adf6e2f44821ccdaee2907a9fd0272cb4"></a><!-- doxytag: member="Ogre::D3D9Device::updateRenderWindowsIndices" ref="adf6e2f44821ccdaee2907a9fd0272cb4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#adf6e2f44821ccdaee2907a9fd0272cb4">Ogre::D3D9Device::updateRenderWindowsIndices</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab3a2c04eea559775392ba8ca816d696a"></a><!-- doxytag: member="Ogre::D3D9Device::validate" ref="ab3a2c04eea559775392ba8ca816d696a" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#ab3a2c04eea559775392ba8ca816d696a">Ogre::D3D9Device::validate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5121ccbdcece40766bc19d0c4d4307a6"></a><!-- doxytag: member="Ogre::D3D9Device::validateBackBufferSize" ref="a5121ccbdcece40766bc19d0c4d4307a6" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a5121ccbdcece40766bc19d0c4d4307a6">Ogre::D3D9Device::validateBackBufferSize</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae4743aa18953548f2a52a9530de5d2f2"></a><!-- doxytag: member="Ogre::D3D9Device::validateDeviceState" ref="ae4743aa18953548f2a52a9530de5d2f2" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#ae4743aa18953548f2a52a9530de5d2f2">Ogre::D3D9Device::validateDeviceState</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab11503b856742c3c73294306256640ed"></a><!-- doxytag: member="Ogre::D3D9Device::validateDisplayMonitor" ref="ab11503b856742c3c73294306256640ed" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#ab11503b856742c3c73294306256640ed">Ogre::D3D9Device::validateDisplayMonitor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8dfd3c8936afe5d66b9aff40dd10f2e2"></a><!-- doxytag: member="Ogre::D3D9Device::validateFocusWindow" ref="a8dfd3c8936afe5d66b9aff40dd10f2e2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9Device.html#a8dfd3c8936afe5d66b9aff40dd10f2e2">Ogre::D3D9Device::validateFocusWindow</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="aec82c6ec0be39f7ecb3e0d165125a540"></a><!-- doxytag: member="Ogre::D3D9Device::D3D9DeviceManager" ref="aec82c6ec0be39f7ecb3e0d165125a540" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00149">149</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2aa03fdbd75af77c8c201ba964251536"></a><!-- doxytag: member="Ogre::D3D9Device::D3D9RenderSystem" ref="a2aa03fdbd75af77c8c201ba964251536" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1D3D9RenderSystem.html">D3D9RenderSystem</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00150">150</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af5eddd4747e882b9e7cace1f1e55f00b"></a><!-- doxytag: member="Ogre::D3D9Device::mAdapterNumber" ref="af5eddd4747e882b9e7cace1f1e55f00b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UINT <a class="el" href="classOgre_1_1D3D9Device.html#af5eddd4747e882b9e7cace1f1e55f00b">Ogre::D3D9Device::mAdapterNumber</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00094">94</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a16a4bb652c5db85576d22274ea769eaa"></a><!-- doxytag: member="Ogre::D3D9Device::mBehaviorFlags" ref="a16a4bb652c5db85576d22274ea769eaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DWORD <a class="el" href="classOgre_1_1D3D9Device.html#a16a4bb652c5db85576d22274ea769eaa">Ogre::D3D9Device::mBehaviorFlags</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00099">99</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="af87f3905ce1704b83d64a3cab3dec4cb"></a><!-- doxytag: member="Ogre::D3D9Device::mCreationParams" ref="af87f3905ce1704b83d64a3cab3dec4cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DDEVICE_CREATION_PARAMETERS <a class="el" href="classOgre_1_1D3D9Device.html#af87f3905ce1704b83d64a3cab3dec4cb">Ogre::D3D9Device::mCreationParams</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00105">105</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7b995adfca2cbfc38d8240002c3f49c1"></a><!-- doxytag: member="Ogre::D3D9Device::mD3D9DeviceCaps" ref="a7b995adfca2cbfc38d8240002c3f49c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DCAPS9 <a class="el" href="classOgre_1_1D3D9Device.html#a7b995adfca2cbfc38d8240002c3f49c1">Ogre::D3D9Device::mD3D9DeviceCaps</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00103">103</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2eec6af8cd486f36e9ddaee2fe5121de"></a><!-- doxytag: member="Ogre::D3D9Device::mD3D9DeviceCapsValid" ref="a2eec6af8cd486f36e9ddaee2fe5121de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#a2eec6af8cd486f36e9ddaee2fe5121de">Ogre::D3D9Device::mD3D9DeviceCapsValid</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00104">104</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a74f4debbfef8744e1f2de5e61abfdeed"></a><!-- doxytag: member="Ogre::D3D9Device::mDevice" ref="a74f4debbfef8744e1f2de5e61abfdeed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DDevice9* <a class="el" href="classOgre_1_1D3D9Device.html#a74f4debbfef8744e1f2de5e61abfdeed">Ogre::D3D9Device::mDevice</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00093">93</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab5e3316e0e6a7bf5b550577d34cd744f"></a><!-- doxytag: member="Ogre::D3D9Device::mDeviceLost" ref="ab5e3316e0e6a7bf5b550577d34cd744f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9Device.html#ab5e3316e0e6a7bf5b550577d34cd744f">Ogre::D3D9Device::mDeviceLost</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00107">107</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ec1fca41b0e76142d235797847c1340"></a><!-- doxytag: member="Ogre::D3D9Device::mDeviceManager" ref="a9ec1fca41b0e76142d235797847c1340" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a>* <a class="el" href="classOgre_1_1D3D9Device.html#a9ec1fca41b0e76142d235797847c1340">Ogre::D3D9Device::mDeviceManager</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00092">92</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9b68164f21305d08aff888810faccba0"></a><!-- doxytag: member="Ogre::D3D9Device::mDeviceType" ref="a9b68164f21305d08aff888810faccba0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DDEVTYPE <a class="el" href="classOgre_1_1D3D9Device.html#a9b68164f21305d08aff888810faccba0">Ogre::D3D9Device::mDeviceType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00096">96</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8bac526f9dfe3204dea2b39208407291"></a><!-- doxytag: member="Ogre::D3D9Device::mFocusWindow" ref="a8bac526f9dfe3204dea2b39208407291" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HWND <a class="el" href="classOgre_1_1D3D9Device.html#a8bac526f9dfe3204dea2b39208407291">Ogre::D3D9Device::mFocusWindow</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00098">98</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e874ea5a466a35d9f8a8633e26f0193"></a><!-- doxytag: member="Ogre::D3D9Device::mLastPresentFrame" ref="a3e874ea5a466a35d9f8a8633e26f0193" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1D3D9Device.html#a3e874ea5a466a35d9f8a8633e26f0193">Ogre::D3D9Device::mLastPresentFrame</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00106">106</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a619b3f0797e321008988124e24b86ec6"></a><!-- doxytag: member="Ogre::D3D9Device::mMapRenderWindowToResources" ref="a619b3f0797e321008988124e24b86ec6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">RenderWindowToResourcesMap</a> <a class="el" href="classOgre_1_1D3D9Device.html#a619b3f0797e321008988124e24b86ec6">Ogre::D3D9Device::mMapRenderWindowToResources</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00122">122</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f1ea453da36b9686c0470c44537a3bf"></a><!-- doxytag: member="Ogre::D3D9Device::mMonitor" ref="a0f1ea453da36b9686c0470c44537a3bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HMONITOR <a class="el" href="classOgre_1_1D3D9Device.html#a0f1ea453da36b9686c0470c44537a3bf">Ogre::D3D9Device::mMonitor</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00095">95</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="aabb340280b2899b9e11c6a9994457ac4"></a><!-- doxytag: member="Ogre::D3D9Device::mPresentationParams" ref="aabb340280b2899b9e11c6a9994457ac4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3DPRESENT_PARAMETERS* <a class="el" href="classOgre_1_1D3D9Device.html#aabb340280b2899b9e11c6a9994457ac4">Ogre::D3D9Device::mPresentationParams</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00100">100</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4f10a344f1475c3014f1711d84627c71"></a><!-- doxytag: member="Ogre::D3D9Device::mPresentationParamsCount" ref="a4f10a344f1475c3014f1711d84627c71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UINT <a class="el" href="classOgre_1_1D3D9Device.html#a4f10a344f1475c3014f1711d84627c71">Ogre::D3D9Device::mPresentationParamsCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00102">102</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a6e83cff23b7d7750291bbdbf3575fb"></a><!-- doxytag: member="Ogre::D3D9Device::msSharedFocusWindow" ref="a8a6e83cff23b7d7750291bbdbf3575fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HWND <a class="el" href="classOgre_1_1D3D9Device.html#a8a6e83cff23b7d7750291bbdbf3575fb">Ogre::D3D9Device::msSharedFocusWindow</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9Device_8h_source.html#l00097">97</a> of file <a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9Device_8h_source.html">OgreD3D9Device.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
